Last Comment Bug 297760 - RFE: Open Outlook message with Thunderbird
: RFE: Open Outlook message with Thunderbird
Status: NEW
:
Product: Thunderbird
Classification: Client Software
Component: Migration (show other bugs)
: Trunk
: x86 Windows XP
: -- enhancement with 11 votes (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-15 02:46 PDT by Gregor Rosenauer
Modified: 2016-11-24 05:50 PST (History)
14 users (show)
mkmelin+mozilla: wanted‑thunderbird3-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Gregor Rosenauer 2005-06-15 02:46:34 PDT
I'd like to be able to load a mail message saved by Outlook (the .msg-format)
with Thunderbird.

Given that there is an import-module for entire mailboxes, it should be possible
to just import a single message in a quick way.

This would be handy sometimes, for example when Outlook refuses to open a
message that contains attachments (it is *impossible* to save it or convince
Outlook that the attachment is safe!).

This would give users another reason to switch to Thunderbird:)
Comment 1 David :Bienvenu 2005-06-15 08:09:22 PDT
If you save a message as .eml format, Thunderbird 1.1 will be able to open it.
Are .msg files really in .eml format? If so, I could allow Thunderbird to also
open .msg files.
Comment 2 Gregor Rosenauer 2005-06-15 12:56:22 PDT
EML is written by Outlook Express, but unfortunately Outlook (2003) only seems
to support its own proprietary MSG-format, which is different.

The only thing I found was a library to convert Outlook PST-files, maybe it
gives some insight onto the MSG-format, too...

http://alioth.debian.org/projects/libpst/
Comment 3 Magnus Melin 2008-10-22 09:18:39 PDT
wanted‑thunderbird3-; this doesn't mean we wouldn't take a patch.
Comment 4 Simon 2010-03-24 09:20:36 PDT
I don't really need to import the msg files into Thunderbird, just to be able to view them without Outlook or other third party software would be acceptable. We have thousands of msg files in project folders all over our computer filing system so batch work is next to impossible. Is there a chance a Thunderbird filter or add-on will be forthcoming ?
Comment 5 Peter Eff 2011-04-12 02:40:08 PDT
I'm stumbling over this feature request and would suggest to close it.
Why? I think there are other areas where developers can spend their time much better!

But let's face the problem to explain the workarounds.
The problem are IMHO two different problems:

1. You got a few msg-files from 'somewhere' 
Please request the source to send you the content in another format (as an email, as HTML-export or whatever is a common standard format)
If that's not possible, take the files, get them to someone who spend his money on MS Outlook and ask him/her to open the files and perform step 2.

2. You are using Outlook and want to migrate your mails and your mail tree to Thunderbird

This is EASY!

If you access your email-account with IMAP, just don't forget to import your address book to Thunderbird and close Outlook forever.

If you access your email-account with POP3: First, switch off Outlook to poll your emails from the server.
If you could access it with IMAP, add another account to your email account to Outlook using IMAP.
If you can not access it with IMAP, get a new email account (e.g. GoogleMail or mostly every other mail provider) and add another account for it to Outlook.

Now you can just drag and drop your mails from your old Outlook account to the IMAP account. Depending on your Internet connection, this might take a while.

If you be careful with your folder structure, you might even copy your whole mail tree at once. But you might have to rename some of your folders, because you have to convert them to "normal" characters only. That is, a folder called "to-do" might result on IMAP in a folder called "to" containing a folder called "do". The same seems to happen for "this/that", "shrt.form", etc.
So rename all of those folders first and move them afterwards.

When your done, just create the account accessing your IMAP email account on Thunderbird and everything will be there!

If you would like to get back to your POP3-account (which is not capable of IMAP), add an appropriate account to Thunderbird copy the files again from one account to the other. 

BTW: This works, too, for other mail programs to migrate from.

cu
Peter
Comment 6 Simon 2011-04-13 01:35:54 PDT
(In reply to comment #5)
> I'm stumbling over this feature request and would suggest to close it.
> Why? I think there are other areas where developers can spend their time much
> better!
> 
> But let's face the problem to explain the workarounds.
> The problem are IMHO two different problems:
> 
> 1. You got a few msg-files from 'somewhere' 
> Please request the source to send you the content in another format (as an
> email, as HTML-export or whatever is a common standard format)
> If that's not possible, take the files, get them to someone who spend his money
> on MS Outlook and ask him/her to open the files and perform step 2.
> 
> 2. You are using Outlook and want to migrate your mails and your mail tree to
> Thunderbird
> 
> This is EASY!
> 
> If you access your email-account with IMAP, just don't forget to import your
> address book to Thunderbird and close Outlook forever.
> 
> If you access your email-account with POP3: First, switch off Outlook to poll
> your emails from the server.
> If you could access it with IMAP, add another account to your email account to
> Outlook using IMAP.
> If you can not access it with IMAP, get a new email account (e.g. GoogleMail or
> mostly every other mail provider) and add another account for it to Outlook.
> 
> Now you can just drag and drop your mails from your old Outlook account to the
> IMAP account. Depending on your Internet connection, this might take a while.
> 
> If you be careful with your folder structure, you might even copy your whole
> mail tree at once. But you might have to rename some of your folders, because
> you have to convert them to "normal" characters only. That is, a folder called
> "to-do" might result on IMAP in a folder called "to" containing a folder called
> "do". The same seems to happen for "this/that", "shrt.form", etc.
> So rename all of those folders first and move them afterwards.
> 
> When your done, just create the account accessing your IMAP email account on
> Thunderbird and everything will be there!
> 
> If you would like to get back to your POP3-account (which is not capable of
> IMAP), add an appropriate account to Thunderbird copy the files again from one
> account to the other. 
> 
> BTW: This works, too, for other mail programs to migrate from.
> 
> cu
> Peter

WE are the source of the msg files because of years of Outlook use and, if you read the post fully, you will see there are more than a 'few' of them. Your suggestions in step 1 are not practical in my case.
I was evaluating Thunderbird in an attempt to migrate the company away from Outlook and accessing legacy documentation/filing is a key requirement of a business computer system. No solution or workaround after more than a year of waiting only to see the recommendation to close the request is extremely disheartening for this potential Open Source convert. Any feature that helps ease the move to Mozilla from Microsoft has surely got to be worth it: a business needs customers and Mozilla is missing a trick.
My company has been forced to stay with Microsoft Outlook because of this one issue and all of our employees have been denied the chance to use Thunderbird, many of which may have been convinced to change their home computers as well.
I remain convinced that Open Source is a viable alternative to Microsoft in a business environment and would like to see this issue resolved before I have to hand over more money to MS on license renewal.
Remaining optimistic,
Simon
Comment 7 Simon 2011-04-13 01:37:10 PDT
(In reply to comment #5)
> I'm stumbling over this feature request and would suggest to close it.
> Why? I think there are other areas where developers can spend their time much
> better!
> 
> But let's face the problem to explain the workarounds.
> The problem are IMHO two different problems:
> 
> 1. You got a few msg-files from 'somewhere' 
> Please request the source to send you the content in another format (as an
> email, as HTML-export or whatever is a common standard format)
> If that's not possible, take the files, get them to someone who spend his money
> on MS Outlook and ask him/her to open the files and perform step 2.
> 
> 2. You are using Outlook and want to migrate your mails and your mail tree to
> Thunderbird
> 
> This is EASY!
> 
> If you access your email-account with IMAP, just don't forget to import your
> address book to Thunderbird and close Outlook forever.
> 
> If you access your email-account with POP3: First, switch off Outlook to poll
> your emails from the server.
> If you could access it with IMAP, add another account to your email account to
> Outlook using IMAP.
> If you can not access it with IMAP, get a new email account (e.g. GoogleMail or
> mostly every other mail provider) and add another account for it to Outlook.
> 
> Now you can just drag and drop your mails from your old Outlook account to the
> IMAP account. Depending on your Internet connection, this might take a while.
> 
> If you be careful with your folder structure, you might even copy your whole
> mail tree at once. But you might have to rename some of your folders, because
> you have to convert them to "normal" characters only. That is, a folder called
> "to-do" might result on IMAP in a folder called "to" containing a folder called
> "do". The same seems to happen for "this/that", "shrt.form", etc.
> So rename all of those folders first and move them afterwards.
> 
> When your done, just create the account accessing your IMAP email account on
> Thunderbird and everything will be there!
> 
> If you would like to get back to your POP3-account (which is not capable of
> IMAP), add an appropriate account to Thunderbird copy the files again from one
> account to the other. 
> 
> BTW: This works, too, for other mail programs to migrate from.
> 
> cu
> Peter

WE are the source of the msg files because of years of Outlook use and, if you read the post fully, you will see there are more than a 'few' of them. Your suggestions in step 1 are not practical in my case.
I was evaluating Thunderbird in an attempt to migrate the company away from Outlook and accessing legacy documentation/filing is a key requirement of a business computer system. No solution or workaround after more than a year of waiting only to see the recommendation to close the request is extremely disheartening for this potential Open Source convert. Any feature that helps ease the move to Mozilla from Microsoft has surely got to be worth it: a business needs customers and Mozilla is missing a trick.
My company has been forced to stay with Microsoft Outlook because of this one issue and all of our employees have been denied the chance to use Thunderbird, many of which may have been convinced to change their home computers as well.
I remain convinced that Open Source is a viable alternative to Microsoft in a business environment and would like to see this issue resolved before I have to hand over more money to MS on license renewal.
Remaining optimistic,
Simon
Comment 8 Simon 2011-04-13 01:40:49 PDT
Nice little glitch there, got a handful of error messages on submission and comments 6 and 7 were the result. Hopefully some bright spark of an administrator can delete one post and edit down the other. Thanks, Simon
Comment 9 Peter Eff 2011-04-13 04:56:29 PDT
Hello Simon,

as I said in (2): Move to IMAP accounts and you'll be free to choose the email client of choice.
If you migrate via MSG-Files there's IMHO no chance to maintain the folder structure. But if you have tons of mails, you usually have them structured by folders. You might have to patch your folder names, as I described, to make them IMAP-ready, but for the rest, it's just drag+drop the whole folder tree to the IMAP account, go to lunch, get back and use them in Thunderbird.

I guess, even with a working MSG-file import, no one would really perform a migration of a complete structured mailbox in a business environment.

Therefore, I described this solution/workaround, which is usable since, I guess, at least Thunderbird 2 (which started to have a working IMAP support)

If your company uses your own mailserver, you just have to switch on the IMAP support, reload the messages from the local Outlook clients back to IMAP account and start using Thunderbird.

If you really think, a migration to and via IMAP is no choice for you, please post the reasons for this, and I, or some of the people following this thread, might be able to help you.

cu
Peter
Comment 10 Vitalii 2013-10-25 02:06:30 PDT
Hi guys,
I want this feature in thunderbird because my customers always send me saved mails in Outlook msg format.
Comment 11 Simon 2014-02-14 02:57:39 PST
Well where did those years go !

This issue is still a problem and now made worse by the new license restrictions imposed by Microsoft on Office 2013. Apparently, if a computer fails and needs to be replaced then the copy of Office 2013 that was on it cannot be transferred to the replacement computer, new software should be bought as the authentication cannot be re-applied. I really need an alternative to Outlook that can open/import/read msg files.

Re-reading the above posts I can see where there has been a misunderstanding on my needs: our legacy msg files are not contained within an Outlook folder structure or pst file (or structured mailbox), but are spread over our data storage folder structure along with docx, xlsx, pdf, dwg etc files. This is why the IMAP process and other import suggestions would not work.

Ideal scenario: Install and configure an email client that will handle new emails (POP3 or IMAP) and be able to open individual msg files (drag & drop from Windows Explorer, File:Open).

Acceptable scenario: Install and configure an email client that will handle new emails (Thunderbird) and then install software that can read the contents of individual msg files, preferably also accessing any attachments (Thunderbird Add-on, other 3rd party).

Any offerings ?

Cheers, Simon
Comment 12 Magnus Melin 2014-02-14 10:56:32 PST
I don't know how much different a .msg file is from an .eml. If you rename the file to .eml does it open properly in thunderbird?
Comment 13 Simon 2014-02-17 01:36:17 PST
Thanks for the interest Magnus, but renaming msg to eml only does half a job in that the text content of the message is readable, but any attachements are converted to text resulting in reams of random characters.
Comment 14 ChrisJ 2014-06-27 10:27:18 PDT
After a largely successful migration of some users from Outlook to Thunderbird, the .msg problem is my major remaining issue. Outlook makes it very easy to save individual mail messages as files - simply drag the message to a file folder. This feature is used often by our staff, with the unfortunate result of creating .msg files in numerous locations. Thunderbird, of course, has the same drag-n-drop capability with storage in .eml format. The problem is that Outlook will read the saved .eml files, but Thunderbird cannot read saved .msg files. This point alone is preventing me from removing Outlook on some machines and from getting more Thunderbird converts.
Comment 15 Dominic 2014-08-06 08:44:32 PDT
Although it may not help the OP, the open source MsgViewer project http://sourceforge.net/projects/msgviewer/ can be used to view .msg emails individually and then save them as .eml files which can then be viewed inside, or imported into, Thunderbird. It seems to handle attachments fine.
Comment 16 Adrian Marsh 2014-09-16 11:56:29 PDT
Just hit this issue myself... if msgviewer can read .msg files..  can't a plugin for TB work?, or can't support be added directly to TB ?  The message format may be proprietary to microsoft, but that doesn't mean that another app can't be written to read the files (i.e. Thunderbird) - does it ?
Comment 17 Ángel Juan 2015-07-20 00:12:19 PDT
Same problem as above. Lots of legacy .eml stored here and there from years and Thunderbird just doen't handle them simple.
Full migration as Simon suggest is not an option as the .eml generation keeps on going day after day.

Thanks to Dominic, msgviewer do the trick, however, it doesnt give the option to import the mail into the mail client directly, leaving it in a 2 step.

I think an addon based on msgviewer would be awesome.
Comment 18 Chris 2015-07-28 16:09:29 PDT
I have run into this problem. Being able to read .msg formats would be handy. I dont have the time to train every computer illiterate user that the .msg format MS uses is not compatible to other software, particularly when they live in a microsoft centric organisation and believe everyone else in the world does too.

The thing I really wanted to comment on though was the lives in the basement attitude of some of the comments here.
Just because the problem doesn't effect you much, doesn't mean it doesn't effect others. Blinkered opinions do not solve real world issues.
Comment 19 alanomaly 2015-09-25 03:39:10 PDT
Another "please take this seriously" message. 

Because Outlook is so common, exchanging and storing emails in .msg format is very common in real-world businesses. For example, written confirmation of agreements might be stored on a secure network drive in .msg format. This is an important, standard part of keeping an audit trail or permanent record of ongoing discussions and agreements. 

For example there might be a contract going back years with many .msg files stored as permanent proof of confirmations and clarifications of details between the parties, receipt of files, confirmation that stages of the project were delivered to satisfaction, confirmation of sign-off, etc etc. These might then be shared with auditors, partners, accountants etc as necessary.

To just say "Simply ask the sender for a different format!" shows a shocking ignorance of real-world business. It will usually be impractical for many many reasons - for example: 

1) How do you know the contact details of the sender until you read the .msg file? 
2) Since .msg is usually used for long term records keeping, why do you think they'll even still be at the same company at the time when the file needs to be read? 
3) Even if they are, do you really expect any businesses to use Thunderbird if it requires them to say things like "Dear important person, can you please follow the following steps to send me a copy of an email you send in 2007 which you probably deleted long ago. I know a copy was already saved at the time, but unfortunately, my company uses inadequate email software, and I need you to help me work around its limitations"

LibreOffice don't tell their users to bug everyone to reformat .doc into other formats. Serious, quality open source software should be capable of reading whatever the most widely used file formats are in its sector. Reading Peter's comments here, I'm starting to doubt that Thunderbird is even intended to be taken seriously as serious professional software.
Comment 20 Tobias 2016-01-16 04:26:42 PST
I have the same problem, lots of msg-files from old projects and I have stopped using Microsoft products. I did some googleing but can't find any add-on to Thunderbird. I did however find a msg reader that can convert to eml-format, the reader is called MsgViewer and can be found here:
http://sourceforge.net/projects/msgviewer/

It only reads one file at a time but works.

Spent some more time on google and found this that batch converts msg-files, MSG to EML Converter:
https://deconf.com/msg-to-eml-converter-freeware/

I did a test on a folder with 36 msg-files and it converted them fast and with no problem. So I can recommend this freeware.

I hope this helps you guys, but I agree that an add-on to Thunderbird would be perfection!
Comment 21 Alessandro Surace 2016-11-24 05:50:24 PST
Hi Guys,
this ticket has more then 10 years! Occasionally somebody stumble over it. This time was my turn.
I think that this functionality could make the life easy for people that live in an hybrid situation, Microsoft Server + Linux clients ...This means is most of all the enterprise company.

I do not see that all the company will go to use only Thunderbird in their environments ... But with this feature we can really help the people to use Thunderbird.

It this functionality, however, it is not considered vital or important the ticket should be closed with a good reason.

Note You need to log in before you can comment on or make changes to this bug.